<?xml version="1.0"?>
<!DOCTYPE mbeans-descriptors PUBLIC 
"-//Apache Software Foundation//DTD Model MBeans Configuration File" 
"http://jakarta.apache.org/commons/dtds/mbeans-descriptors.dtd">
<mbeans-descriptors>
        <mbean       name="DiscoveryService"
                     description="DiscoveryService MBean"
                     domain="Local"
                     type="falconet.service.discovery.DiscoveryService">
        <operation   name="startDiscovery"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.Integer">
        </operation>
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
        <operation   name="discoverySubnet"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.Integer">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="stopDiscoverySubnet"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.Boolean">
        </operation>
        <operation   name="lookupDiscoveryNodes"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="getEnvironment"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.Map">
        </operation>
        <operation   name="setEnvironment"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
       </mbean>
        <mbean       name="RmiMComProxy"
                     description="RmiMComProxy MBean"
                     domain="Local"
                     type="falconet.service.proxy.RmiMComProxy">
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
       </mbean>
        <mbean       name="SnmpTrapMonitor"
                     description="SnmpTrapMonitor MBean"
                     domain="Local"
                     type="falconet.service.monitor.SnmpTrapMonitor">
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
        <operation   name="setMonitorTime"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="int"/>
        </operation>
       </mbean>
        <mbean       name="InterfaceMonitor"
                     description="InterfaceMonitor MBean"
                     domain="Local"
                     type="falconet.service.monitor.InterfaceMonitor">
        <operation   name="setAdminStatus"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.Integer">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.Map"/>
        <parameter   name="param3"  description=" "
                     type="java.lang.Long"/>
        <parameter   name="param4"  description=" "
                     type="java.lang.Integer"/>
        </operation>
        <operation   name="getInterfaceData"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.HashMap">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.Map"/>
        <parameter   name="param3"  description=" "
                     type="java.lang.Long"/>
        </operation>
        <operation   name="getOperaStatus"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="getDeviceDescription"
                     description=" "
                     impact="ACTION"
                     returnType="java.lang.String">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.Map"/>
        </operation>
       </mbean>
        <mbean       name="TopologyMonitor"
                     description="TopologyMonitor MBean"
                     domain="Local"
                     type="falconet.service.monitor.TopologyMonitor">
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
       </mbean>
        <mbean       name="CollectionEngin"
                     description="CollectionEngin MBean"
                     domain="Local"
                     type="falconet.service.flowengin.CollectionEngin">
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="isLogDirExist"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="getCollectTasks"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.Map">
        </operation>
        <operation   name="getCollectCurrentValue"
                     description=" "
                     impact="ACTION"
                     returnType="[D">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="addCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="updateCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="deleteCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
       </mbean>
        <mbean       name="LogAnalysisEngin"
                     description="LogAnalysisEngin MBean"
                     domain="Local"
                     type="falconet.service.flowengin.LogAnalysisEngin">
        <operation   name="getLogValue"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param3"  description=" "
                     type="long"/>
        <parameter   name="param4"  description=" "
                     type="long"/>
        <parameter   name="param5"  description=" "
                     type="int"/>
        <parameter   name="param6"  description=" "
                     type="int"/>
        </operation>
       </mbean>
        <mbean       name="SnmpInterface"
                     description="SnmpInterface MBean"
                     domain="Local"
                     type="falconet.service.flowengin.SnmpInterface">
        <operation   name="testMonitor"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="getSnmpIndex"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="getSnmpInterfaces"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
        <mbean       name="PerformanceEngin"
                     description="PerformanceEngin MBean"
                     domain="Local"
                     type="falconet.service.flowengin.PerformanceEngin">
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="isLogDirExist"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="getCollectTasks"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.Map">
        </operation>
        <operation   name="getCollectCurrentValue"
                     description=" "
                     impact="ACTION"
                     returnType="[D">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="addCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="updateCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="deleteCollectTask"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
       </mbean>
        <mbean       name="AlertNotifyEngin"
                     description="AlertNotifyEngin MBean"
                     domain="Local"
                     type="falconet.service.alertengin.AlertNotifyEngin">
        <operation   name="sendAlertNotification"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
        <operation   name="getAlertConf"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.Map">
        </operation>
        <operation   name="setAlertConf"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.Map"/>
        </operation>
       </mbean>
        <mbean       name="EventManager"
                     description="EventManager MBean"
                     domain="Local"
                     type="falconet.service.event.EventManager">
        <operation   name="auditEvent"
                     description=""
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="selectEvent"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="countEvent"
                     description=" "
                     impact="ACTION"
                     returnType="long">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        </mbean>
        <mbean       name="MonitorTypeConfig"
                     description="MonitorTypeConfig MBean"
                     domain="Local"
                     type="falconet.service.monitor.MonitorTypeConfig">
        <operation   name="getMonitorConfig"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="addMonitorType"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="deleteMonitorType"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="updateMonitorType"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        <parameter   name="param2"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
        <mbean       name="SnmpTrapConfig"
                     description="SnmpTrapConfig MBean"
                     domain="Local"
                     type="falconet.service.monitor.SnmpTrapConfig">
        <operation   name="getSnmpTrapConfig"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="addSnmpTrap"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
        <operation   name="deleteSnmpTrap"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.lang.String"/>
        </operation>
        <operation   name="updateSnmpTrap"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
        <mbean       name="SyslogServer"
                     description="SyslogServer MBean"
                     domain="Local"
                     type="falconet.service.syslog.server.SyslogServer">
        <operation   name="startService"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="isActive"
                     description=" "
                     impact="ACTION"
                     returnType="boolean">
        </operation>
        <operation   name="stopService"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        </operation>
       </mbean>
        <mbean       name="SyslogHandleConfig"
                     description="SyslogHandleConfig MBean"
                     domain="Local"
                     type="falconet.service.syslog.server.SyslogHandleConfig">
        <operation   name="getSyslogHandles"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="getSyslogPriorityType"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="getSyslogFacilityType"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="getSyslogProgramType"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        </operation>
        <operation   name="setSyslogHandles"
                     description=" "
                     impact="ACTION"
                     returnType="void">
        <parameter   name="param1"  description=" "
                     type="java.util.ArrayList"/>
        </operation>
       </mbean>
        <mbean       name="SyslogSearch"
                     description="SyslogSearch MBean"
                     domain="Local"
                     type="falconet.service.syslog.report.SyslogSearch">
        <operation   name="selectSyslog"
                     description=" "
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        <parameter   name="param2"  description=" "
                     type="int"/>
        </operation>
        <operation   name="countSyslog"
                     description=" "
                     impact="ACTION"
                     returnType="long">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
       <mbean        name="SyslogAudit"
                     description="SyslogAudit MBean"
                     domain="Local"
                     type="falconet.service.syslog.report.SyslogAudit">
        <operation   name="auditSyslog"
                     description=""
                     impact="ACTION"
                     returnType="java.util.ArrayList">
        <parameter   name="param1"  description=" "
                     type="java.util.HashMap"/>
        </operation>
       </mbean>
 </mbeans-descriptors>
